/***************************************************************************
 *
 * $Header: $
 *
 * Copyright (c) 1999 ConnectTel, Inc. All Rights Reserved.
 *  
 * MODULE DESCRIPTION: Miscelaneous routines to activate events on RTEMS
 *                     devices. 
 *
 * by: Rosimildo da Silva:
 *     rdasilva@connecttel.com
 *     http://www.connecttel.com
 *
 * MODIFICATION/HISTORY:
 *
 * $Log: $
 ****************************************************************************/


#include <ioctl.h>
#include <rtems/libio.h>
#include "rtemsinc.h"

/* 
 * Tell the device with the passed handle to post events as soon
 * as it happens.
 */
int rtems_set_input_event( int handle, rtems_event_set e )
{
  rtems_libio_ioctl_input_event_t my_e;
  rtems_task_ident (RTEMS_SELF, 0, &my_e.id );
  my_e.event = e;
  return ioctl( handle, RTEMS_IO_SET_INPUT_EVENT, &my_e );
}

/* 
 * Tell the device with the passed handle to stop posting events.
 */
int rtems_reset_input_event( int handle )
{
  return ioctl( handle, RTEMS_IO_RESET_INPUT_EVENT, NULL );
}
